Endpoint de atualização da organização
curl --request PATCH \
--url https://api.devin.ai/v2/enterprise/organizations/{org_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "<string>",
"max_acu_limit": 123
}
'import requests
url = "https://api.devin.ai/v2/enterprise/organizations/{org_id}"
payload = {
"display_name": "<string>",
"max_acu_limit": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({display_name: '<string>', max_acu_limit: 123})
};
fetch('https://api.devin.ai/v2/enterprise/organizations/{org_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Organizações
Atualizar organização
Atualizar o limite de ACU e/ou o nome de exibição de uma organização
PATCH
/
v2
/
enterprise
/
organizations
/
{org_id}
Endpoint de atualização da organização
Requer uma chave de API pessoal de um administrador Enterprise.
Atualize o limite máximo de ACU por ciclo de cobrança e/ou o nome de exibição de uma organização específica dentro da sua conta Enterprise. Este endpoint permite modificar cada um desses campos de forma independente ou ambos simultaneamente.
Autorizações
Chave de API pessoal (apk_user_*) somente para administradores do Enterprise
Parâmetros de caminho
Resposta
Resposta bem-sucedida
⌘I

